%global fontname    dejavu
%global archivename %{name}-%{archiveversion}


#global archiveversion 2.24-20080512-2226
%global archiveversion %{version}

# Let the perl maintainer worry about Unicode.org data files
%global Blocks      %(eval "$(%{__perl} -V:privlibexp)"; echo $privlibexp)/unicore/Blocks.txt
%global UnicodeData %(eval "$(%{__perl} -V:privlibexp)"; echo $privlibexp)/unicore/UnicodeData.txt

# Common description
%global common_desc \
The DejaVu font set is based on the “Bitstream Vera” fonts, release 1.10. Its\
purpose is to provide a wider range of characters, while maintaining the \
original style, using an open collaborative development process.

# Compat description
%global compat_desc \
This package only exists to help transition pre 2.26-3 DejaVu users to the new\
package split. It will be removed after one distribution release cycle, please\
do not reference it or depend on it in any way.\
\
It can be safely uninstalled.


Name:    %{fontname}-fonts
Version: 2.29
Release: 2.41.moblin2
Summary: DejaVu fonts

Group:     User Interface/X
License:   Bitstream Vera and Public Domain
URL:       http://%{name}.org/
Source0:   %{?!alphatag:http://downloads.sourceforge.net/%{fontname}}%{?alphatag:%{fontname}.sourceforge.net/snapshots}/%{archivename}.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Older fontforge versions will not work due to sfd format changes
BuildRequires: fontforge >= 20080429
BuildRequires: perl(Font::TTF)
# Needed to compute unicode coverage
#BuildRequires: %{Blocks} %{UnicodeData}

BuildArch:     noarch
BuildRequires: fontpackages-devel
Obsoletes:  moblin-dejavu-fonts < 2.26-1.17
Provides: moblin-dejavu-fonts


%description
%common_desc


%package compat
Summary: DejaVu fonts compatibility package
Group:     User Interface/X

Obsoletes: dejavu-fonts < 2.26-3
Obsoletes: dejavu-fonts-experimental < 2.26-3

Requires: %{fontname}-sans-fonts
Requires: %{fontname}-sans-mono-fonts
Requires: %{fontname}-serif-fonts

%description compat
%compat_desc


%package lgc-compat
Summary: DejaVu fonts, LGC compatibility package
Group:     User Interface/X

Obsoletes: dejavu-lgc-fonts < 2.26-3

Requires: %{fontname}-lgc-sans-fonts
Requires: %{fontname}-lgc-sans-mono-fonts
Requires: %{fontname}-lgc-serif-fonts

%description lgc-compat
%compat_desc


%package common
Summary:  Common files for the Dejavu font set
Requires: fontpackages-filesystem
Group:     User Interface/X

Obsoletes: dejavu-fonts-doc < 2.26-6

%description common
%common_desc

This package consists of files used by other DejaVu packages.


%package -n %{fontname}-sans-fonts
Summary:  Variable-width sans-serif font faces
Requires: %{name}-common = %{version}-%{release}
Group:     User Interface/X

Conflicts: dejavu-fonts < 2.26-3
Conflicts: dejavu-fonts-experimental < 2.26-3

Obsoletes: %{name}-sans < 2.28-2

%description -n %{fontname}-sans-fonts
%common_desc

This package consists of the DejaVu sans-serif variable-width font faces, in
their unabridged version.

%_font_pkg -n sans -f *-%{fontname}-sans.conf DejaVuSans.ttf DejaVuSans-*.ttf DejaVuSansCondensed*.ttf


%package -n %{fontname}-serif-fonts
Summary:  Variable-width serif font faces
Requires: %{name}-common = %{version}-%{release}
Group:     User Interface/X

Conflicts: dejavu-fonts < 2.26-3
Conflicts: dejavu-fonts-experimental < 2.26-3

Obsoletes: %{name}-serif < 2.28-2

%description -n %{fontname}-serif-fonts
%common_desc

This package consists of the DejaVu serif variable-width font faces, in their
unabridged version.

%_font_pkg -n serif -f *-%{fontname}-serif.conf DejaVuSerif.ttf DejaVuSerif-*.ttf DejaVuSerifCondensed*.ttf


%package -n %{fontname}-sans-mono-fonts
Summary:  Monospace sans-serif font faces
Requires: %{name}-common = %{version}-%{release}
Group:     User Interface/X

Conflicts: dejavu-fonts < 2.26-3
Conflicts: dejavu-fonts-experimental < 2.26-3

Obsoletes: %{name}-sans-mono < 2.28-2

%description -n %{fontname}-sans-mono-fonts
%common_desc

This package consists of the DejaVu sans-serif monospace font faces, in their
unabridged version.

%_font_pkg -n sans-mono -f *-%{fontname}-sans-mono.conf DejaVuSansMono*.ttf


%package -n %{fontname}-lgc-sans-fonts
Summary:  Variable-width sans-serif font faces, Latin-Greek-Cyrillic subset
Requires: %{name}-common = %{version}-%{release}
Group:     User Interface/X

Conflicts: dejavu-lgc-fonts < 2.26-3

Obsoletes: %{name}-lgc-sans < 2.28-2

%description -n %{fontname}-lgc-sans-fonts
%common_desc

This package consists of the DejaVu sans-serif variable-width font faces, with
unicode coverage restricted to Latin, Greek and Cyrillic.

%_font_pkg -n lgc-sans -f *-%{fontname}-lgc-sans.conf DejaVuLGCSans.ttf DejaVuLGCSans-*.ttf DejaVuLGCSansCondensed*.ttf


%package -n %{fontname}-lgc-serif-fonts
Summary:  Variable-width serif font faces, Latin-Greek-Cyrillic subset
Requires: %{name}-common = %{version}-%{release}
Group:     User Interface/X

Conflicts: dejavu-lgc-fonts < 2.26-3

Obsoletes: %{name}-lgc-serif < 2.28-2

%description -n %{fontname}-lgc-serif-fonts
%common_desc

This package consists of the DejaVu serif variable-width font faces, with
unicode coverage restricted to Latin, Greek and Cyrillic.

%_font_pkg -n lgc-serif -f *-%{fontname}-lgc-serif.conf DejaVuLGCSerif.ttf DejaVuLGCSerif-*.ttf DejaVuLGCSerifCondensed*.ttf


%package -n %{fontname}-lgc-sans-mono-fonts
Summary:  Monospace sans-serif font faces, Latin-Greek-Cyrillic subset
Requires: %{name}-common = %{version}-%{release}
Group:     User Interface/X

Conflicts: dejavu-lgc-fonts < 2.26-3

Obsoletes: %{name}-lgc-sans-mono < 2.28-2

%description -n %{fontname}-lgc-sans-mono-fonts
%common_desc

This package consists of the DejaVu sans-serif monospace font faces, with
unicode coverage restricted to Latin, Greek and Cyrillic.

%_font_pkg -n lgc-sans-mono -f *-%{fontname}-lgc-sans-mono.conf DejaVuLGCSansMono*.ttf


%prep
%setup -q -n %{archivename}


%build
make %{?_smp_mflags} VERSION=%{version} FC-LANG="" \
     BLOCKS=%{Blocks} UNICODEDATA=%{UnicodeData}

# Stop the desktop people from complaining this file is too big
bzip2 -9 build/status.txt


%check
make check


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p build/*.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

cd fontconfig
for fontconf in *conf ; do
  install -m 0644 -p $fontconf %{buildroot}%{_fontconfig_templatedir}
  ln -s %{_fontconfig_templatedir}/$fontconf \
        %{buildroot}%{_fontconfig_confdir}/$fontconf
done


%clean
rm -fr %{buildroot}


%files compat
%files lgc-compat


%files common
%defattr(0644,root,root,0755)
%doc AUTHORS BUGS LICENSE NEWS README
%doc build/unicover.txt build/status.txt.bz2


%changelog
* Sun Apr 12 2009 Anas Nashif <anas.nashif@intel.com> 2.29
- Renamed package and splitted to font types
* Wed Jan 14 2009 Rusty Lynch <rusty.lynch@intel.com> 2.26
- Initial Packaging
